PDF::API3::Compat::API2::Resource::Font::CoreFont(3)

NAME
PDF::API3::Compat::API2::Resource::Font::CoreFont - Module for using the 14 PDF built-in Fonts.

SYNOPSIS
    #
    use PDF::API3::Compat::API2;
    #
    $pdf = PDF::API3::Compat::API2->new;
    $cft = $pdf->corefont('Times-Roman');
    #

METHODS

$font = PDF::API3::Compat::API2::Resource::Font::CoreFont->new $pdf, $fontname, %options
    Returns a corefont object.

    Valid %options are:

    -encode ... changes the encoding of the font from its default. See perl's Encode for the supported values.

    -pdfname ... changes the reference-name of the font from its default. The reference-name is normally generated automatically and can be retrived via $pdfname=$font->name.

$font = PDF::API3::Compat::API2::Resource::Font::CoreFont->new_api $api, $fontname, %options
    Returns a corefont object. This method is different from 'new' that it needs an PDF::API3::Compat::API2-object rather than a PDF::API3::Compat::API2::PDF::File-object.

PDF::API3::Compat::API2::Resource::Font::CoreFont->loadallfonts()
    "Requires in" all fonts available as corefonts.

SUPPORTED FONTS

PDF::API::CoreFont supports the following 'Adobe Core Fonts':
      Courier
      Courier-Bold
      Courier-BoldOblique
      Courier-Oblique
      Helvetica
      Helvetica-Bold
      Helvetica-BoldOblique
      Helvetica-Oblique
      Symbol
      Times-Bold
      Times-BoldItalic
      Times-Italic
      Times-Roman
      ZapfDingbats

PDF::API::CoreFont supports the following 'Windows Fonts':
      Georgia
      Georgia,Bold
      Georgia,BoldItalic
      Georgia,Italic
      Verdana
      Verdana,Bold
      Verdana,BoldItalic
      Verdana,Italic
      Webdings
      Wingdings

AUTHOR
alfred reibenschuh

HISTORY
    $Log: CoreFont.pm,v $
    Revision 2.0  2005/11/16 02:18:14  areibens
    revision workaround for SF cvs import not to screw up CPAN

    Revision 1.2  2005/11/16 01:27:50  areibens
    genesis2

    Revision 1.1  2005/11/16 01:19:27  areibens
    genesis

    Revision 1.17  2005/10/19 19:15:12  fredo
    added handling of optional kerning

    Revision 1.16  2005/10/01 22:41:07  fredo
    fixed font-naming race condition for multiple document updates

    Revision 1.15  2005/09/26 20:07:19  fredo
    added fontmetric stub

    Revision 1.14  2005/09/12 16:56:20  fredo
    applied mod_perl patch by Paul Schilling <pfschill@sbcglobal.net>

    Revision 1.13  2005/06/17 19:44:03  fredo
    fixed CPAN modulefile versioning (again)

    Revision 1.12  2005/06/17 18:53:34  fredo
    fixed CPAN modulefile versioning (dislikes cvs)

    Revision 1.11  2005/05/29 09:47:38  fredo
    cosmetic changes

    Revision 1.10  2005/03/14 22:01:27  fredo
    upd 2005

    Revision 1.9  2005/01/21 10:04:15  fredo
    rewrite fontproxy comment

    Revision 1.8  2004/12/16 00:30:54  fredo
    added no warn for recursion

    Revision 1.7  2004/11/22 02:08:42  fredo
    aaa

    Revision 1.6  2004/06/21 22:25:44  fredo
    added custom corefont handling

    Revision 1.5  2004/06/15 09:14:53  fredo
    removed cr+lf

    Revision 1.4  2004/06/07 19:44:43  fredo
    cleaned out cr+lf for lf

    Revision 1.3  2003/12/08 13:06:01  Administrator
    corrected to proper licencing statement

    Revision 1.2  2003/11/30 17:32:48  Administrator
    merged into default

    Revision 1.1.1.1.2.2  2003/11/30 16:57:05  Administrator
    merged into default

    Revision 1.1.1.1.2.1  2003/11/30 14:45:22  Administrator
    added CVS id/log

POD ERRORS
Hey! The above document had some coding errors, which are explained below:

Around line 430:
    '=item' outside of any '=over'

Around line 460:
    You forgot a '=back' before '=head1'